Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1856980

Summary: Review Request: golang-github-shellcode33-vm-detection - Linux and Windows VMs evasion
Product: [Fedora] Fedora Reporter: Fabian Affolter <mail>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-07-24 01:13:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 563471    

Description Fabian Affolter 2020-07-14 20:29:08 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-shellcode33-vm-detection.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-shellcode33-vm-detection-0-0.1.20200714git4fd05cb.fc31.src.rpm

Project URL: https://github.com/ShellCode33/VM-Detection

Description:
Linux and Windows VMs evasion fully written in Go.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=47218712

rpmlint output:
$ rpmlint golang-github-shellcode33-vm-detection-0-0.1.20200714git4fd05cb.fc31.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint golang-github-shellcode33-vm-detection-devel-0-0.1.20200714git4fd05cb.fc31.noarch.rpm 
golang-github-shellcode33-vm-detection-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/ShellCode33/VM-Detection/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-07-15 11:32:25 UTC

 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-07-15 12:25:16 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-07-15 12:43:45 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-shellcode33-vm-detection

Comment 4 Fedora Update System 2020-07-15 13:32:54 UTC
FEDORA-2020-c1156498a0 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-c1156498a0

Comment 5 Fedora Update System 2020-07-15 13:42:10 UTC
FEDORA-2020-09887740cc has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-09887740cc

Comment 6 Fedora Update System 2020-07-16 01:38:52 UTC
FEDORA-2020-09887740cc has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-09887740cc \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-09887740cc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-07-16 01:59:45 UTC
FEDORA-2020-c1156498a0 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-c1156498a0 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-c1156498a0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-07-24 01:13:49 UTC
FEDORA-2020-c1156498a0 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-07-24 02:18:18 UTC
FEDORA-2020-09887740cc has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.